Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1803 - Printtool not compatible with ghostscript 5.50
Summary: Printtool not compatible with ghostscript 5.50
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printtool
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-26 00:36 UTC by nstn1291
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-27 23:55:53 UTC


Attachments (Terms of Use)

Description nstn1291 1999-03-26 00:36:44 UTC
I have to use HylaFAX to send facsimile messages.
I downloaded the HylaFAX RPM from their Web page.
It insisted that I use ghostscript 5.10 or later.
I downloaded ghostscript 5.50 from its home page.
I am using a HP LaserJet IIIP printer.
The driver that ghostscript 5.50 has for this device is
not named the same as the Printtool drivers.
  /var/spool/lpd/lp1/filter
  /var/spool/lpd/lp1/asc-to-ps.fpi
  /usr/lib/rhs/rhs-print-filters/asc-to-ps.fpi
all needed manual changes to get the printer working again.

Suggestion:  have printtool get its print driver names for
the user to select from the "gs -h" output so it will always
match what is actually available.

Comment 1 Bill Nottingham 1999-03-26 15:39:59 UTC
Unfortunately, printtool needs more than just the driver
names; it needs the options it supports, etc. What
driver that's in 5.5 are you trying to use?

Comment 2 Bill Nottingham 1999-03-27 23:55:59 UTC
ghostscript-5.5 comes with the ljet3d driver, at least AFAICT
from reading the source, so that shouldn't be a problem.

In any case, printtool does check the output of gs -h when
setting up the printer; however, we can't check if you
configure the printer and *then* change ghostscript.


Note You need to log in before you can comment on or make changes to this bug.